Linux下的即时翻译软件星际翻译的安装

在linux系统下尤其是英文版本的,安装一个翻译软件是少不了的。我大致搜索了下,不错的就是星际翻译了。但是很多人在安装的时候出现下图所示的情况,这样依赖库的错误,这里我用的linux是red hat linux5。星际版本是stardict-3.0.1-1.fc8.i386.rpm。下载地址:http://sourceforge.net/projects/stardict/files/stardict/3.0.1/stardict-3.0.1-1.fc8.i386.rpm/download

linux安装星际翻译提示如下代码

先准备好词库。我用的牛精的那个词典~~ 下载地址:http://yeelou.com/huzheng/stardict-dic/zh_CN/  自己选啦,需要什么下载什么就好。下面进入安装步骤:

首先安装rpm包:#rpm -ivh stardict-3.0.1-1.fc8.i386.rpm 这个时候就会提上上面图中的error不管就行,反正这样能用,呵呵!
然后解压词库 #tar -jxvf  stardict-oxford-gb-2.4.2.tar.bz2
进入解压后的词库目录:#cd stardict-oxford-gb-2.4.2
建立词库文件夹:#mkdir /usr/share/stardict/dic
移动词库文件到dic文件夹下#mv /root/….你的词库目录 *  /usr/share/stardict/dic
这里需要注意的是如果#rpm -ivh stardict-3.0.1-1.fc8.i386.rpm后找不到stardict这个目录,那么用#rpm -ivh stardict-3.0.1-1.fc8.i386.rpm –nodepse

测试下:#stardict 一切完好,还支持屏幕取词翻译。(codeguy)

 

发表评论

电子邮件地址不会被公开。 必填项已用*标注

您可以使用这些HTML标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>